关闭

【Maven】使用Maven搭建web3.0版本的web项目

标签: eclipsemaven
1106人阅读 评论(0) 收藏 举报
分类:

笔者:之前一直使用Maven的快速创建项目,使得很难创建成功web3.0版本的web项目以及jdk版本等等问题,其实最简单的办法就是使用Maven创建一个最简单的项目,然后手动配置web环境即可。下面的文章是笔者的一个好友所写,方法也是他告诉我的,所以这里我就附上好友的链接以及博客正文以供自己后期查看和各位使用。

转载自:不应有的淡定

对于没有代理服务器的同学,每次在eclipse中创建maven项目将会是一件无限麻烦的事情,可能需要等很久,但是任然不加载的问题,现在直接上图。
我们先来创建一个maven项目

这里写图片描述

点击next
这里写图片描述

自己搭建骨架
这里写图片描述

再点击Finish完成项目创建

这里写图片描述

但是这里我们会看到项目报错,原因是没有WebContent和web.xml,接下来就解决这个问题,在项目上点击右键,Build Path–>Configure Build Path,然后点击Project Facets,在Dynamic Web Module前面取消那个勾,将java的版本换成比较新的,这里我用1.8
这里写图片描述

点击Apply,再点击Ok

接下来就是关键了

再次在项目上点击右键,Build Path–>Configure Build Path,然后点击Project Facets,点选上Dynamic Web Module,这里会出现变化,如图

这里写图片描述

点击further configuration available, 然后如图打勾,点击ok

这里写图片描述

完之后,点击Apply

这里写图片描述

再点击ok。现在可看到错误消失,出现WebContent目录,下面还有web.xml文件

这里写图片描述

到这里基本就结束了,Build Path–>Configure Build Path,看是否如下效果

这里写图片描述

到这里就基本完成了,就是这样的,不清楚的有问题的可以给我留言。

0
0
查看评论
发表评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场

eclipse创建maven依赖的web3.0项目

一直都用myeclipse开发web 最近搞mac 准备在mac上开发web 结果安装 myeclipse2014提示虚拟为0 不能安装, 网上说2015可以安装,但是2015貌似只能装CI版本,...
  • mfc2003
  • mfc2003
  • 2016-03-14 16:56
  • 2424

Maven项目配置web3.0

代码: xml version="1.0" encoding="UTF-8"?> web-app  xmlns:xsi="http://www.w3.org/2001/XMLSchemainstan...
  • qq_22860303
  • qq_22860303
  • 2016-08-12 16:30
  • 762

maven创建servlet3.0的web工程

网上很多使用maven构建web项目的blog都很老了,所以自己重新弄了一下,很多描述不专业,其实我也才接触maven,见谅
  • u011871921
  • u011871921
  • 2015-05-23 14:47
  • 4671

maven生成的项目,更改web.xml头成servlet 3.1配置

新建maven project, 选择maven-archetype-webapp, 生成项目  打开pom.xml中引入3.1的servlet-api           &#...
  • u010075335
  • u010075335
  • 2016-11-29 12:56
  • 3964

将Maven项目的Dynamic Web Module 改为3.1版本

1 转到Navigator 视图,.settings文件夹下,打开如下文件: 将jst.web 的version改为3.1,如下: 2 右击项目,打开properties,设置java版本为1.8...
  • CrazyLai1996
  • CrazyLai1996
  • 2017-08-06 20:05
  • 500

如何使用maven建一个web3.0的项目

使用eclipse手动建一个maven的web project可能会有版本不合适的情况,例如使用spring的websocket需要web3.0什么的,不全面的修改可能会出现各种红叉,甚是苦恼。我从我...
  • gaokao2011
  • gaokao2011
  • 2016-08-18 13:01
  • 598

Maven创建Webapp项目时,如何设置JDK版本以及servlet版本!

maven默认创建的项目,每次执行maven更新的时候总会将jdk版本设置成1.5 如果要固定JDK版本,需要在pom文件中添加以下代码 ... ... ...
  • CNXLK
  • CNXLK
  • 2016-10-14 17:26
  • 2916

Eclipse创建Maven-Web项目及解决 jre版本和web.xml版本问题

Eclipse 通过 Maven 建立 SSM 框架项目(web项目)时,默认的web.xml文件版本为 2.3,jre版本为 1.5;在修改其版本遇到了各种问题 例如:web.xml is mis...
  • Peng_Hong_fu
  • Peng_Hong_fu
  • 2016-12-12 16:22
  • 10877

eclipse创建maven依赖的web3.0项目

一直都用myeclipse开发web 最近搞mac 准备在mac上开发web 结果安装 myeclipse2014提示虚拟为0 不能安装, 网上说2015可以安装,但是2015貌似只能装CI版本,...
  • mfc2003
  • mfc2003
  • 2016-03-14 16:56
  • 2424

Eclipse建立webapp3.0以上的Maven项目

建立项目使用Eclipse建一个File –> New –> OtherNext ,Next,选择maven-archetype-webapp输入坐标信息,Finish稍等片刻,我们的webapp骨架...
  • frankcheng5143
  • frankcheng5143
  • 2016-05-03 17:46
  • 9522
    关于我
    个人资料
    • 访问:104085次
    • 积分:1429
    • 等级:
    • 排名:千里之外
    • 原创:64篇
    • 转载:7篇
    • 译文:1篇
    • 评论:19条
    博客专栏
    最新评论